<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="host.core-service.discovery-options.static-discovery" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="host-feature,port,protocol"/>
        <elem name="op-params-mapping" value="host,port,protocol"/>
        <elem name="addr-params" value="host,core-service,static-discovery"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="host.core-service"/>
    </annotation>
    <refs>
        <ref feature="host.core-service.discovery-options"/>
        <ref feature="host"/>
    </refs>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="static-discovery" feature-id="true"/>
        <param name="protocol" nillable="true" stability="default"/>
        <param name="host-feature" stability="default"/>
        <param name="port" stability="default"/>
        <param name="core-service" feature-id="true" default="discovery-options"/>
    </params>
</feature-spec>